Get a canon permit rule
Módulo Canon
GET/canon/permit-rules/{rule}canonPermitRules.get
A permit rule of the jurisdiction permit engine. Returns one canon permit rule with its `ETag`. A canon permit rule the caller may not see returns 404.
- Requiere la capacidad canon.taxonomy.read.
- Alcances de OAuth: canon.
- Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| rule | string | Sí | Rule name.Restricciones: length 1 to 200 |
| fields | Fields | No | Sparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$ |
Respuesta 200: CanonPermitRule
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| rule | string | Sí | Rule name.Restricciones: length 1 to 200 |
| trigger_type | string | Sí | What triggers the rule.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$ |
| condition | string | Sí | Trigger condition.Restricciones: length 1 to 20000 |
| permit | string | Sí | Permit required.Restricciones: length 1 to 300 |
| ahj | string | Sí | Authority having jurisdiction.Restricciones: length 1 to 300 |
| lead_time | string | Sí | Typical lead time.Restricciones: length 1 to 300 |
| jurisdiction_id | JurisdictionId | Sí | Jurisdiction identifier from `xpms.dim_jurisdiction`. An unpopulated jurisdiction returns no answer.Restricciones: pattern ^[A-Z]{2}(-[A-Z0-9]+)*$ |
| provenance | Provenance | Sí | Provenance from `xpms.dim_provenance` (Section 3.8); a lower rank never overwrites a higher one.Restricciones: pattern ^[a-z]+$ |
| note | string | null | Sí | Note from the Bible.Restricciones: length 1 to 20000 |
{
"rule": "Assembly occupancy",
"trigger_type": "threshold",
"condition": "Occupant load of 50 or more.",
"permit": "Certificate of occupancy",
"ahj": "City Building and Fire",
"lead_time": "4-8 wks",
"jurisdiction_id": "US-FL",
"provenance": "operator",
"note": "Triggered by occupant load."
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/canon/permit-rules/Assembly%20occupancy" \
-H "Authorization: Bearer $XOS_API_KEY"const { data, etag } = await xos.canonPermitRules.get("Assembly occupancy");response = xos.canon_permit_rules.get("Assembly occupancy")xos canon-permit-rules get Assembly occupancy